<div class="testimonials">
  <h1 align="center">Enterprise-grade Serverless on your own terms.</h1>
  <h3 align="center"><b>Understanding Knative</b></h3>

  <div class="testimonial">
    <div class="img">
      <img src="../../images/testimonials/kelsey.png" alt="">
    </div>
    <div class="quote">
      <div class="phrase">"If Kubernetes is an electrical grid, then Knative is its light switch."</div>
      <br>
      —Kelsey Hightower, Google Cloud Platform
    </div>
  </div>
  <p class="normal-text">
    Knative is an automated system that helps development teams manage and maintain processes in Kubernetes. Its purpose is to simplify, automate, and monitor deployments of Kubernetes so teams spend less time on maintenance and more time on app development and projects. Knative takes over repetitive and time-intensive tasks while removing obstacles and delays.
  </p>
  <br>
  <p class="normal-text">
    Knative does this through two features. The first is Knative Eventing. Eventing allows developers to set up detailed actions triggered by specific events within a broader environment. The second is Knative Serving, which automatically manages the creation and scaling of services through Kubernetes, including scaling down to zero. Each of these features aims to free up resources that teams would otherwise spend managing systems. They also save businesses money by reacting to conditions in real time. Meaning, companies only pay for the resources they are using, not the ones they might use.
  </p>
  <br>
  <div class="testimonial blue">
    <div class="img">
      <img src="../../images/testimonials/blue_zero_scaling_icon.svg" alt="">
    </div>
    <div class="quote">
      <b>Scale to Zero</b> is a feature of Knative Serving that automatically turns off services running in containers when there is no demand for them. Instead of running programs on standby, they can be turned off and turned back on when needed again. Scale to zero reduces costs over time and helps manage technical resources.
    </div>
  </div>
  <br>
  <p class="normal-text">
    The core idea behind Knative is to allow teams to harness the power of serverless application deployment. Serverless refers to managing cloud-based servers and virtual machines, often hosted on platforms like AWS, Google Cloud, Microsoft Azure, and more. Serverless is a great option for companies looking to move away from the costly endeavor of managing their own servers and infrastructure.
  </p>
  <br>
  <div class="testimonial">
    <div class="img">
      <img src="../../images/testimonials/michael.png" alt="">
    </div>
    <div class="quote">
      <div class="phrase">"I often think of Knative as part of 'Serverless 2.0.' It combines the good things about serverless with a loosening of constraints around execution time and availability of resources."</div><br>
      -Michael Behrendt, Distinguished Engineer and Chief Architect of Serverless and Cloud Functions for IBM.<br>
      IBM is a committed sponsor of Knative
    </div>
  </div>
  <br>
  <h2>Knative in the broader ecosystem</h2>
  <p class="normal-text">
    To understand Knative more fully, it is important to know that it exists in a larger ecosystem of services that work together. For example, Knative acts as a framework on top of Kubernetes that helps build a serverless platform. Kubernetes itself is a system that orchestrates the creation and running of containers used in app deployment, scaling, and more. Those containers can run anything, from simple tools written in python to complex Al systems. Containers were developed to help tackle the problem of complexity. As development teams build software products, they create massive codebases. Left unorganized, those codebases can become gigantic and confusing-even for those who make them. Containers solve this problem by breaking codebases into small, self-contained processes that can interact to do work. They also help developers manage complex webs of dependencies like APIs and databases. These containers are easier to maintain for teams looking to work fast while maintaining best practices.
  </p>

  <h2>Knative's value in DevOps</h2>
  <p class="normal-text">
    DevOps promises effective application development processes with faster deployments and fewer bugs. While Kubernetes helps facilitate this, it can produce significant complexity. Achieving value at scale with Kubernetes traditionally involves teams developing specialized knowledge. Knative cuts down on that by providing a serverless experience that removes the need for all development team members to know or understand the ins and outs of Kubernetes.
  </p>
  <br>
  <div class="testimonial">
    <div class="img">
      <img src="../../images/testimonials/aparna.png" alt="">
    </div>
    <div class="quote">
      <div class="phrase">"What we are doing with Knative is to provide a developer experience that makes it easier to focus on code. Cloud developers focus on the business problems they are solving without having to coordinate or wait for approvals from platform teams to scale their apps. Knative is a framework that helps automate platform capabilities so your apps can scale as if they were running on Serverless compute."</div><br>
      -Aparna Sinha, Director of Product Management, Google
    </div>
  </div>

  <h2>Tangible benefits of Knative for teams</h2>
  <p class="normal-text">
    It has always been true that organizations need to develop and innovate faster than their competition while deploying products with fewer flaws. However, being bogged down by configuring networks and operating systems harms developer productivity and morale. Developers want to create things, and Knative helps them do that.
  </p>
  <br>
  <div class="testimonial">
    <div class="img">
      <img src="../../images/testimonials/tilen.png" alt="">
    </div>
    <div class="quote">
      <div class="phrase">"The amount of internal work needed to use Knative is minuscule."</div><br>
      -Tilen Kavčič, Backend Developer for Outfit7, which uses Knative for key backend system
    </div>
  </div>

  <h2>The advantage of Open Source</h2>
  <p class="normal-text">
    Open source has been a powerful resource for creating business solutions for decades. Kubernetes and Knative are now paving the way for that relationship to become stronger. Each project has significant support from some of the biggest names in tech including IBM, Google, Red Hat, and VMware. The Kubernetes and Knative ecosystem consists of widely adopted projects that are proven across many installations for a multitude of uses. The open-source foundation of Knative means that anyone using the platform can participate in the community to get help, solve problems, and influence the direction of deployment for future versions.
  </p>

  <h2>Find out more</h2>
  <div class="find-links">
    <a href="../case-studies/deepc">> Case Studies: Read about organizations using Knative, from platform developers to proven companies to innovative startups</a><br>
    <a href="../../getting-started/">> Check the getting started guide to get up and running with Knative in an afternoon</a><br>
    <a href="../../community/">> Join the Knative Slack to talk to the community</a>
  </div>
</div>
